%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/10osvendor

Name: xorg-drv-ark
Version: 0.7.0
Release: alt2.M41.1
Serial: 1
Summary: Ark video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-ark = %serial:%version-%release
Obsoletes: xorg-x11-drv-ark

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: xorg-proto-devel xorg-sdk gcc-c++ xorg-util-macros

ExclusiveArch: %ix86

%description
ark is an Xorg driver for Ark video cards.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-ark.xinf %buildroot%_hwdatadir/ark.xinf
install -pD -m644 11-x11-video-ark.fdi %buildroot%_fdidir/11-x11-video-ark.fdi

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/11-x11-video-ark.fdi

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.7.0-alt2.M41.1
- build for branch 4.1

* Wed Jun 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.7.0-alt3
- renamed xorg-x11-drv-ark to xorg-drv-ark
- added requires XORG_ABI_VIDEODRV = 2.0

* Tue Apr 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.7.0-alt2
- added xinf and fdi files

* Wed Mar 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:0.7.0-alt1
- 0.7.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.6.0-alt2
- rebuild with xorg-server-1.4

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.6.0-alt1
- 0.6.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.5.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.5.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.5.0.2-alt0.1
- initial release

